#!/usr/bin/env python

from setuptools import setup

INSTALL_REQUIRES = [
    'numpy >= 1.14.3',
    'matplotlib >= 2.2.2',
    'mako ==1.0.12',
    'pandas >= 0.24.2',
    'scikit-learn >= 0.20.2',
    'pytest >= 4.6.2',
    'python-dateutil >= 2.7.3',
    'setuptools >= 39.1.0'
]


def main():
    setup(name='da4ml',
          description='A python library for data anonymization and evaluation',
          version='0.0.1',
          packages=['privacy', 'privacy.command'],
          package_data={
              '': ['template/*.html']
          },
          entry_points={
              'console_scripts': [
                  'data-anonymize = privacy.command.anonymize:main',
                  'data-evaluate = privacy.command.evaluate:main'
              ]
          },
          author=['Rongjun', 'Yan', 'David'],
          author_email='yan.zhao01@sap.com',
          install_requires=INSTALL_REQUIRES,
          platform='any')


if __name__ == '__main__':
    main()
